package gomod

import (
	"fmt"
	"html/template"
	"net/http"
)
func Index(w http.ResponseWriter, r *http.Request) {
	r.ParseForm()
	t, err := template.ParseFiles("src/payease_wallet/view/index.html")
	if err != nil {
		fmt.Fprintf(w, "parse template error: %s", err.Error())
		return
	}
	t.Execute(w, nil)
}
//======================================二级商户提现信息==============================================
//二级商户提现提交
func Withdraw(w http.ResponseWriter, r *http.Request) {
	if r.Method == "GET" {
		t, err := template.ParseFiles("src/payease_wallet/view/wallet/Withdraw.html")
		if err != nil {
			fmt.Fprintf(w, "parse template error: %s", err.Error())
			return
		}
		t.Execute(w, nil)
	} else {
		WithdrawRequest(w,r)
	}
}
//异步通知
func Notify(w http.ResponseWriter, r *http.Request) {
	WithdrawNotify(w,r) 
}
//二级商户提现查询
func WithdrawQuery(w http.ResponseWriter, r *http.Request) {
	if r.Method == "GET" {
		t, err := template.ParseFiles("src/payease_wallet/view/wallet/withdrawQuery.html")
		if err != nil {
			fmt.Fprintf(w, "parse template error: %s", err.Error())
			return
		}
		t.Execute(w, nil)
	}else{
		WithdrawQueryRequest(w,r)
	}
}

//模拟异步通知POST数据
func DataPost(w http.ResponseWriter, r *http.Request) {
	if r.Method == "GET" {
		t, err := template.ParseFiles("src/payease_wallet/view/post.html")
		if err != nil {
			fmt.Fprintf(w, "parse template error: %s", err.Error())
			return
		}
		t.Execute(w, nil)
	}else{
		PostRequest(w,r)
	}
}