package main
 
import (
	"fmt"
	"net/http"
	"payease_wallet/gomod"
)

func main() {
	fs := http.FileServer(http.Dir("src/payease_wallet/static"))
	http.Handle("/static/", http.StripPrefix("/static/", fs))
	http.HandleFunc("/", gomod.Index)
	
	http.HandleFunc("/withdraw", gomod.Withdraw)
	http.HandleFunc("/notify", gomod.Notify)
	http.HandleFunc("/withdrawQuery", gomod.WithdrawQuery)
	http.HandleFunc("/post", gomod.DataPost)
	
	err := http.ListenAndServe(":8090", nil)
	if err != nil {
		fmt.Println("ListenAndServe:", err)  
		//log.Fatal("ListenAndServe: ", err)
	}
}