package models

//二级商户提现提交信息
type Wallet struct{
	MerchantId string `json:"merchantId"` //二级商户号
    RequestId string `json:"requestId"`   //订单编号 
    PartnerId string `json:"partnerId"`   //服务商编号  主商户编号 
    WithdrawAmount string `json:"withdrawAmount"`   //提现金额
    NotifyUrl string `json:"notifyUrl"`//通知地址
    Hmac string `json:"hmac"`             //参数签名
}

//二级商户提现提交响应
type WalletBack struct{
	MerchantId string `json:"merchantId"` //二级商户号
    OrderId string `json:"orderId"`   //提现流水号
    RequestId string `json:"requestId"`   //订单编号 
    PartnerId string `json:"partnerId"`   //服务商编号  主商户编号 
    ResponseObject
}

//二级商户提现提交异步响应
type WalletBacks struct{
	MerchantId string `json:"merchantId"` //二级商户号
    OrderId string `json:"orderId"`   //提现流水号
    RequestId string `json:"requestId"`   //订单编号 
    PartnerId string `json:"partnerId"`   //服务商编号  主商户编号 
    WithdrawAmount string `json:"withdrawAmount"`   //提现金额
    WithdrawStatus string `json:"withdrawStatus"`   //提现状态
    ResponseObject
}

//二级商户提现查询
type WithdrawQuery struct{
	MerchantId string `json:"merchantId"` //二级商户号
    RequestId string `json:"requestId"`   //订单编号 
    PartnerId string `json:"partnerId"`   //服务商编号  主商户编号 
    Hmac string `json:"hmac"`             //参数签名
}
//二级商户提现查询响应
type WithdrawQueryBack struct{
	MerchantId string `json:"merchantId"` //二级商户号
    OrderId string `json:"orderId"`   //提现流水号
    RequestId string `json:"requestId"`   //订单编号 
    PartnerId string `json:"partnerId"`   //服务商编号  主商户编号 
    WithdrawAmount string `json:"withdrawAmount"`   //提现金额
    WithdrawStatus string `json:"withdrawStatus"`   //提现状态
    ResponseObject
}
